Subject: Re: [PATCH 11/31] Constify struct file_operations for 2.6.32 v1

From: Greg KH <[email-masked]>
Date: Mon, 7 Dec 2009 07:11:56 -0800

On Mon, Dec 07, 2009 at 01:45:02AM +0100, Emese Revfy wrote:
> Greg KH wrote:
> > On Sun, Dec 06, 2009 at 02:47:44AM +0100, Emese Revfy wrote:
> >> Greg KH wrote:
> >>> On Sat, Dec 05, 2009 at 03:50:23AM +0100, Emese Revfy wrote:
> >>>> Greg KH wrote:
> >>>>> On Sat, Dec 05, 2009 at 01:02:59AM +0100, Emese Revfy wrote:
> >>>>>> -static struct file_operations ptmx_fops;
> >>>>>> +static const struct file_operations ptmx_fops = {
> >>>>>> +	.llseek		= no_llseek,
> >>>>>> +	.read		= tty_read,
> >>>>>> +	.write		= tty_write,
> >>>>>> +	.poll		= tty_poll,
> >>>>>> +	.unlocked_ioctl	= tty_ioctl,
> >>>>>> +	.compat_ioctl	= tty_compat_ioctl,
> >>>>>> +	.open		= ptmx_open,
> >>>>>> +	.release	= tty_release,
> >>>>>> +	.fasync		= tty_fasync,
> >>>>>> +};
> >>>>> You just made these functions all global, for no real good reason.  Why
> >>>>> did you do this?
> >>>> I think this is the only way to make ptmx_fops const, provided we want to. 
> >>> Why do we want to?
> >> Because I saw that checkpatch.pl itself tries to ensure the same I went
> >> through the whole tree looking for non-const file_operations structures
> >> and tried to make them const as best as I could. If you think making
> >> ptmx_fops const is not worth the effort I will remove it from the patch.
> > 
> > Based on the patch, I would think it is not worth it.
> > 
> > thanks,
> > 
> > greg k-h
> > 
> Ok, I removed the affected hunks.
> 
> From: Emese Revfy <[email-masked]>
> 
> Constify struct file_operations with some exceptions.

Now please break this patch (and your others) out into "one subsystem at
a time" type thing so it will have a chance at being applied.

thanks,

greg k-h